CSH.Manager
Keywords: javax.help.CSH.Manager interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Interface CSH.Manager

Enclosing interface:
  CSH

public static interface CSH.Manager

CSH Manager Interface to support dynamic `HelpSet` and `ID` for object. CSH is allowed only for `Component` and `MenuItem`.

Since:
  2.0

Method Summary
`java.lang.String` | `getHelpIDString(java.lang.Object comp, java.awt.AWTEvent e)` Returns String represent Map.ID of the object depending on the event.
`HelpSet` | `getHelpSet(java.lang.Object comp, java.awt.AWTEvent e)` Returns HelpSet of the object depending on the event.

Method Detail

### getHelpSet

    public HelpSet getHelpSet(java.lang.Object comp,
                              java.awt.AWTEvent e)

  Returns HelpSet of the object depending on the event.

  Parameters:
    `comp` - The object to get `HelpSet` for it. Only `Component` and `MenuItem` is allowed.
    `e` - The event by which dynamic CSH was invoked. It can be `MouseEvent` in case of window level CSH, `ActionEvent` in case of field level CSH or `null` otherwise.
  Returns:
    A HelpSet for given object or null if no HelpSet is assigned to object
  See Also:
    `CSH.DisplayHelpAfterTracking`, `CSH.DisplayHelpFromFocus`, `CSH.DisplayHelpFromSource`

### getHelpIDString

    public java.lang.String getHelpIDString(java.lang.Object comp,
                                            java.awt.AWTEvent e)

  Returns String represent Map.ID of the object depending on the event.

  Parameters:
    `comp` - The object to get `Map.ID` for it. Only `Component` and `MenuItem` is allowed.
    `e` - The event by which dynamic CSH was invoked. It can be `MouseEvent` in case of window level CSH, `ActionEvent` in case of field level CSH or `null` otherwise.
  Returns:
    A Map.ID string for given object or null if no Map.ID is assigned to object
  See Also:
    `CSH.DisplayHelpAfterTracking`, `CSH.DisplayHelpFromFocus`, `CSH.DisplayHelpFromSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD